//---------------------------------------------------------------------------

#ifndef MainFormUH
#define MainFormUH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <System.Messaging.hpp>
#include <FMX.Controls.hpp>
#include <FMX.Forms.hpp>
#include <FMX.Controls.Presentation.hpp>
#include <FMX.StdCtrls.hpp>
#include <FMX.Types.hpp>
#include <FMX.Maps.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
    TButton *Button1;
    TPanel *MapPanel;
    void __fastcall Button1Click(TObject *Sender);
private:    // User declarations
    const int MY_PERMISSIONS_REQUEST_ACCESS_LOCATION = 1;
    TMapView *FMapView;
    void RequestPermissions();
    void __fastcall HandlePermissionsRequest(TObject *Sender, TMessageBase *M);
    void __fastcall OnPermissionsRequest(int ARequestCode,
        TJavaObjectArray__1<_di_JString> *APermissions, TJavaArray__1<int> *AGrantResults);
    void __fastcall Toast(String Msg, int Duration);
    void SetupMap(bool ALocationPermissionGranted);
public:     // User declarations
    __fastcall TMainForm(TComponent* Owner);
    __fastcall virtual ~TMainForm();
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
