//---------------------------------------------------------------------------

#ifndef MainFormUH
#define MainFormUH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <System.Permissions.hpp>
#include <FMX.Controls.hpp>
#include <FMX.Forms.hpp>
#include <FMX.Controls.Presentation.hpp>
#include <FMX.StdCtrls.hpp>
#include <FMX.Types.hpp>
#include <FMX.Maps.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:    // IDE-managed Components
    TButton *Button1;
    TPanel *MapPanel;
    void __fastcall Button1Click(TObject *Sender);
private:    // User declarations
    String FPermissionCoarseLocation;
    String FPermissionFineLocation;
    TMapView *FMapView;
    void __fastcall LocationPermissionRequestResult(TObject *Sender, const DynamicArray<String> APermissions, const DynamicArray<TPermissionStatus> AGrantResults);
    void __fastcall SetupMap(bool ALocationPermissionGranted);
#ifdef __ANDROID__
    void __fastcall Toast(String Msg, int Duration);
#endif
public:     // User declarations
    __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
